/*

File: article.h
Author: Neil Cafferkey
Copyright (C) 2000 Neil Cafferkey

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.

*/

#ifndef _article_h
#define _article_h


#include <exec/types.h>
#include <intuition/intuition.h>
#include "section.h"
#include "sequence.h"
#include <exec/nodes.h>

#define NT_ARTICLE NT_USER

typedef struct
   {
   struct Node node;
   Sequence data;
   TEXT *title;
   Section *sections;
   UBYTE section_count;
   UBYTE something29_count;
   UWORD reference_count;
   UBYTE something2b_count;
   UWORD something2c_count;
   UWORD something2e_count;
   UWORD string_block_length;
   UWORD body_length;
   UBYTE something48_count;
   struct Window *window;
   UWORD left;
   UWORD top;
   UWORD width;
   UWORD height;
   UWORD current_section_no;
   UWORD current_paragraph_no;
   UWORD current_line_no;
   UWORD current_pixel_no;
   UWORD current_char;
   struct Gadget *scroll_bar;
   struct PropInfo *prop_info;
   struct Image *knob_image;
   UWORD line_count;
   UWORD window_line_count;
   struct Image *size_image;
   struct Image *up_image;
   struct Image *down_image;
   struct Gadget *up_button;
   struct Gadget *down_button;
   struct TextFont *font;
   UWORD max_section_no;
   UWORD max_line_no;
   UBYTE max_pixel_no;
   BOOL new_size;
   ULONG old_pixel_position;
   struct Gadget *current_gadget;
   UWORD tick_count;
   UBYTE button_resolution;
   }
   Article_imp;

typedef Article_imp *Article;


#endif


