/*

File: article_protos.c
Author: Neil Cafferkey
Copyright (C) 2000 Neil Cafferkey

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.

*/

#ifndef _article_protos_h
#define _article_protos_h


#include "article.h"
#include "sequence.h"
#include <intuition/screens.h>


/* Function: CreateArticle
 * =======================
 * Creates an Article.
 */

Article CreateArticle(Sequence raw_article,struct MsgPort *msg_port);


/* Function: RefreshArticle
 * ========================
 * Redraws an article's display.
 */

VOID RefreshArticle(Article article);


/* Function: ReadScrollBar
 * =======================
 */

VOID ReadScrollBar(Article article);


/* Function: SetArticlePosition
 * ============================
 * Sets the position of an article's window.
 */

VOID SetArticlePosition(Article article,UWORD left,UWORD top);


/* Function: SetArticleDimensions
 * ==============================
 * Sets the dimensions of an article's window.
 */

VOID SetArticleDimensions(Article article,UWORD width,UWORD height);


/* Function: HideArticle
 * =====================
 * Hides an article.
 */

VOID HideArticle(Article article);


/* Function: KillArticle
 * =====================
 * Destroys an article.
 */

VOID KillArticle(Article article);


#endif


