/*

File: general_protos.h
Author: Neil Cafferkey
Copyright (C) 2000 Neil Cafferkey

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.

*/

#ifndef _general_protos_h
#define _general_protos_h


#include "general.h"
#include <exec/types.h>
#include <intuition/intuition.h>


/* Function: GetLittleEndianUWord
 * ==============================
 * Reads a little-endian UWORD from memory.
 */

UWORD GetLittleEndianUWord(UBYTE *data);


/* Function: GetLittleEndianULong
 * ==============================
 * Reads a little-endian ULONG from memory.
 */

ULONG GetLittleEndianULong(UBYTE *p);


/* Function: StripIntuiMessages
 * ============================
 */

VOID StripWindowMessages(struct Window *win);


/* Function: GetMinListNode
 * ========================
 */

struct MinNode *GetMinListNode(struct MinList *list,ULONG node_no);


/* Function: ReportError
 * =====================
 */

ULONG ReportError(struct Window *window,UBYTE report_type,
   TEXT *resource_name,UWORD version_no);


#endif


