/*

File: paedia_protos.h
Author: Neil Cafferkey
Copyright (C) 2000 Neil Cafferkey

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.

*/

#ifndef _paedia_protos_h
#define _paedia_protos_h


#include "paedia.h"
#include "sequence.h"


/* Function: ConvertLinkFile
 * =========================
 * Converts the original link file into a new file with a non-textual
 * format.
 */

BOOL ConvertLinkFile(TEXT *old_file_name,TEXT *new_file_name);


/* Function: CreatePaedia
 * ======================
 * Creates a Paedia.
 */

Paedia CreatePaedia(TEXT *data_dir_name,TEXT *paedia_dir_name);


/* Function: GetPaediaItem
 * =======================
 * Extracts an article,picture etc. from a Paedia.
 */

Sequence GetPaediaItem(Paedia paedia,ULONG link_no);


/* Function: KillPaedia
 * ====================
 * Destroys a Paedia.
 */

VOID KillPaedia(Paedia paedia);


#endif


