/*

File: paragraph_protos.h
Author: Neil Cafferkey
Copyright (C) 2000 Neil Cafferkey

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.

*/

#ifndef _paragraph_protos_h
#define _paragraph_protos_h


#include "paragraph.h"
#include "sequence.h"
#include <intuition/intuition.h>


/* Function: CreateParagraph
 * =========================
 * Creates a Paragraph.
 */

Paragraph CreateParagraph(UBYTE *raw_paragraph,UWORD length);


/* Function: FitParagraphLine
 * ==========================
 * Calculates the number of characters that will fit on a line of a given
 * pixel width.
 */

UWORD FitParagraphLine(Paragraph paragraph,struct Window *window,
   UWORD offset);


/* Function: KillParagraph
 * =======================
 * Destroys a Paragraph.
 */

VOID KillParagraph(Paragraph paragraph);


#endif


