/*

File: search.h
Author: Neil Cafferkey
Copyright (C) 2000 Neil Cafferkey

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.

*/

#ifndef _search_h
#define _search_h


#include <exec/types.h>
#include <intuition/intuition.h>
#include "sequence.h"
#include <exec/lists.h>
#include "paedia.h"
#include "index_record.h"

#define NT_SEARCH NT_USER-1

typedef struct
   {
   struct Node node;
   Paedia paedia;
   struct MinList *object_list;
   struct MsgPort *msg_port;
   struct Window *window;
   struct Screen *screen;
   struct TextFont *font;
   struct List *index_list;
   struct Gadget *gadgets;
   struct Gadget *context;
   struct Gadget *keyword_box;
   struct Gadget *search_button;
   struct Gadget *subject_view;
   struct Gadget *article_view;
   APTR visual_info;
   UWORD gadget_left;
   UWORD gadget_top;
   UWORD keyword_box_rel_width;
   UWORD keyword_box_height;
   WORD search_button_rel_left;
   UWORD search_button_width;
   UWORD subject_view_top;
   UWORD subject_view_height;
   WORD gadget_rel_width;
   UWORD article_view_top;
   WORD article_view_rel_height;
   UWORD font_height;
   TEXT *keywords;
   ULONG selected_subject_no;
   ULONG top_subject_no;
   ULONG top_article_no;
   IndexRecord current_subject;
   WORD min_width;
   WORD min_height;
   }
   Search_imp;

typedef Search_imp *Search;


#endif


