/*

File: sequence_protos.h
Author: Neil Cafferkey
Copyright (C) 2000 Neil Cafferkey

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.

*/

#ifndef _sequence_protos_h
#define _sequence_protos_h


#include "sequence.h"


/* Function: CreateSequence
 * ========================
 * Creates a new Sequence.
 */

Sequence CreateSequence(ULONG length,UBYTE *data);


/* Function: ReadSequence
 * ======================
 * Makes a sequence from the contents of a file.
 */

Sequence ReadSequence(TEXT *file_name);


/* Function: GetSequenceLength
 * ===========================
 */

ULONG GetSequenceLength(Sequence sequence);


/* Function: GetSequenceContents
 * =============================
 */

UBYTE *GetSequenceContents(Sequence sequence,ULONG offset);


/* Function: IsSubsequence
 * =======================
 */

BOOL IsSubsequence(Sequence sub_seq,UBYTE *main_data);


/* Function: KillSequence
 * ======================
 */

VOID KillSequence(Sequence sequence);


#endif


